Package: dgit
Version: 2.1
Severity: normal

dgit passes --git-debian-branch=dgit/sid to gbp-buildpackage(1), which
causes the build to fail when on a branch called 'master'.  Since
'master' is the maintainer view, it should be possible to build the
package from it.

I worked around this by using `--quilt=gbp sbuild` instead of `gbp-build`.

    hephaestus ~/src/helm % dgit 
-cdgit-distro.debian.dgit-tag-format=old,new,maint gbp-build
    Format `3.0 (quilt)', need to check/update patch stack
    examining quilt state (multiple patches, gbp mode)
    dgit: split brain (separate dgit view) may be needed (--quilt=gbp).
    dgit view: found cached (commit id 6ed7ef2f56fb1de511c8a9b2d95dbfbe86aded88)
    dpkg-source: info: using options from work/debian/source/options: 
    dpkg-source: info: using source format '3.0 (quilt)'
    dpkg-source: info: building helm using existing ./helm_2.3.0.orig.tar.xz
    dpkg-source: info: building helm in helm_2.3.0-1.debian.tar.xz
    dpkg-source: info: building helm in helm_2.3.0-1.dsc changelog will contain 
changes since 2.2.1-1
    dpkg-genchanges: info: including full source code in upload canonical suite 
name for unstable is sid
    gbp:error: You are not on branch 'dgit/sid' but on 'master'
    gbp:error: Use --git-ignore-branch to ignore or --git-debian-branch to set 
the branch name.
    dgit: failed command: gbp buildpackage -us -uc --git-no-sign-tags 
'--git-builder=dpkg-buildpackage -i'\\'.git/ -I.git -nc -b' 
--git-debian-branch=dgit/sid -v2.2.1-1
    dgit: subprocess failed with error exit status 1

(I believe that the -c, included to workaround #841085, is irrelevant here)

-- System Information:
Debian Release: stretch/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 4.5.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages dgit depends on:
ii  ca-certificates                   20160104
ii  coreutils                         8.25-2
ii  curl                              7.50.1-1
ii  devscripts                        2.16.8
ii  dpkg-dev                          1.18.10
ii  dput                              0.10.3
ii  git [git-core]                    1:2.9.3-1
ii  git-buildpackage                  0.8.4
ii  libdpkg-perl                      1.18.10
ii  libjson-perl                      2.90-1
ii  liblist-moreutils-perl            0.416-1+b1
ii  libperl5.24 [libdigest-sha-perl]  5.24.1~rc3-3
ii  libtext-iconv-perl                1.7-5+b4
ii  libwww-perl                       6.15-1
ii  perl                              5.24.1~rc3-3

Versions of packages dgit recommends:
ii  openssh-client [ssh-client]  1:7.3p1-1

Versions of packages dgit suggests:
ii  sbuild  0.71.0-2

-- no debconf information

Sean Whitton

Attachment: signature.asc
Description: PGP signature

Reply via email to